Skip to main content

Switch Cross and Isolated Margin Modes

Description​

Note: Deprecated, please refer to Changelog-Futures for details

Switch the margin mode, provided that you do not have open positions and open orders under this mode.

HTTP Request​

POST /v3/position/switchIsolated

Request Parameters​

ParameterRequiredTypeDescription
symbolYesStringA trading pair, consisting of two currencies: base currency and quote currency
mgnModeYesStringMargin Mode, Enumerate: ISOLATED, CROSS

Response Parameters​

ParameterTypeDescription
symbolStringA trading pair, consisting of two currencies: base currency and quote currency
mgnModeStringMargin Mode, Enumerate: ISOLATED, CROSS

Request Example:​

{
"mgnMode": "CROSS",
"symbol":"DOGE_USDT_PERP"
}

Response Example​

{
"code": 200,
"data": {
"mgnMode": "CROSS",
"symbol": "DOGE_USDT_PERP"
},
"msg": "Success"
}